
function viewSettingsMenu() {  // 
    printHeaderTitle("SETTINGS", "settings2.png", "#0226f0");  // name and file

    removeFooter();
    
    displayScreen = 6;
    document.getElementById('content').innerHTML +=
        '<div class="cleanScreen">\
            <div class="settingsMenuContainerBox" id="settingsMenuContainerBox"></div>\
            <div class="widgetButtonBox">\
                <button class="button _48 home_48" style="margin-top:-20px;" onclick="loadLayout()"></button>\
            </div>\
        </div>';

    // document.getElementById('settingsMenuContainer').innerHTML += 
    //     '<div class="settingsIconBox">\
    //         <img class="settingsIcon" src="images/icons/settingsDose.png">\
    //     </div>';
    
    for (i = 0; i < 5; i++) { 
    document.getElementById('settingsMenuContainerBox').innerHTML += 
        `<div class="settingsIconBox">\
            <div class="settingsIcon">\
                <button class="settingsPic settings` + buttonID[i] + `" style="background-image: url('images/icons/settings_` + i + `.png')" id='settingsPic_` + i + `'></button>\
            </div>\
            <div class="settingsName">` + buttonLabels[i] + `</div>\
        </div>`;
    }

    document.getElementById('settingsPic_0').style.backgroundColor = "#686767";  // hardware
    document.getElementById('settingsPic_1').style.backgroundColor = "#8a5d23";  // dosing pumps
    document.getElementById('settingsPic_2').style.backgroundColor = "#00b610";  // alerts
    document.getElementById('settingsPic_3').style.backgroundColor = "#d1d127";  // probes
    document.getElementById('settingsPic_4').style.backgroundColor = "#ff7800";  // settings

    $('.settings' + buttonID[0]).click(function() { settingsDrivers(); })
    $('.settings' + buttonID[1]).click(function() { dosingSettings(); })
    $('.settings' + buttonID[2]).click(function() { settingsEmail(); })
    $('.settings' + buttonID[3]).click(function() { settingsProbes(); })
    $('.settings' + buttonID[4]).click(function() { settingsSystem(); })
}
